Name:           python-mozinstall
Version:        2.1.0
Release:        %autorelease
Summary:        package for installing and uninstalling Mozilla applications

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://wiki.mozilla.org/Auto-tools/Projects/Mozbase
Source:         %{pypi_source mozInstall}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mozinstall' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-mozinstall
Summary:        %{summary}

%description -n python3-mozinstall %_description


%prep
%autosetup -p1 -n mozInstall-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-mozinstall -f %{pyproject_files}


%changelog
%autochangelog